Fehler im Kernel nach aufsetzen von NOOBS 1.9.2 und apt-get update/upgrade

  • hallo leute, ich bin toby und noch neuling im bereich linux.


    ich hatte jetzt fast ein halbes jahr einen pi2 und seit neusten ein pi3.
    mit dem neuen habe ich seit heute probleme. das system lief soweit ohne probleme, bis ich nach updates geschaut habe um ihn zu aktualisieren.


    folgendes habe ich gemacht:


    sudo apt-get update
    sudo apt-get upgrade
    sudo apt-get clean
    sudo reboot


    alles soweit ok und ohne fehler. erst beim neustart bemerkte ich, dass er fehler hat beim verarbeiten der kernel cmd line aus der sysctl.
    was nun? ich habe das system schon 3 mal neu aufgesetzt und immer wieder das gleiche.


    74 pakete stehen zum update bereit...


    kann mir jemand weiter helfen?

    RPi3 für Pi-Hole & IRC Client (auch als IP-Net Box)

    RPi2 zum coden ^^


  • ..., dass er fehler hat beim verarbeiten der kernel cmd line aus der sysctl.


    Was für Fehler sind das?

    The most popular websites without IPv6 in Germany.  IPv6-Ausreden

  • Lade dir mal ein Clean Image runter! Also ohne Noobs
    Automatisch zusammengefügt:[hr]
    Noobs verursacht nämlich manchmal ziemlich komische Fehlermeldungen

    Wenn's brennt 112 hilft weiter!

    Edited once, last by raspbastler ().

  • also das rasbian?
    wenn du was anderes meinst, hast du vielleicht mal einen link? ^^

    RPi3 für Pi-Hole & IRC Client (auch als IP-Net Box)

    RPi2 zum coden ^^

  • ja danke, hab ich schon geladen und gestartet... jetzt teste ich das hier mal.
    kommt mir das nur so vor, oder läuft das langsamer als das noobs?


    update:
    jetzt ist der kernel dran...lol
    mal sehen was das wird


    update:
    nach dem reboot, selbes problem :(

    RPi3 für Pi-Hole & IRC Client (auch als IP-Net Box)

    RPi2 zum coden ^^

    Edited once, last by dr-snow ().

    • Official Post

    am besten du vergisst das es noobs gibt. Wenn immer du, ab jetzt, was mit noobs liest denkst du dir


    Quote

    "*sigh* kann der nicht normales raspbian nehmen, der noobs dreck macht nur Probleme".


    Glaub mir, das machen wir auch nicht anders ;)

    Der Unterschied zwischen Genie und Wahnsinn definiert sich im Erfolg.

    Edited once, last by dbv ().

  • so, nun habe ich das gleiche mit rasbian gemacht und hab die selben fehler. und nun?


    das problem kommt mit dem kernel update von 4.4.11 auf 4.4.13.

    RPi3 für Pi-Hole & IRC Client (auch als IP-Net Box)

    RPi2 zum coden ^^


  • das problem kommt mit dem kernel update von 4.4.11 auf 4.4.13.


    Wie hast Du das kernel update gemacht?

    The most popular websites without IPv6 in Germany.  IPv6-Ausreden

  • eigentlich mach ich das so:


    sudo rpi-update


    aber jetzt hat er es mit den updates über


    sudo apt-get update/upgrade gemacht. ich vermute, dass die firmware nicht passt.
    ich habe es jetzt endlich so hinbekommen, dass er erst das firmware update läd und mache jetzt die upgrades.
    das firmware update ging nämlich auch nicht. immer zeitüberschreitung beim dl. (info: läuft alles über ipv4)


    @ Manul
    ich habe nix geändert oder anders gemacht als sonst. trotzdem bekomme ich immer wieder den fehler. wenn er jetzt fertig ist, kann ich, wenn die fehler wieder auftreten, die logs mal posten.
    Automatisch zusammengefügt:[hr]


    Hast Du mal nach der Fehlermeldung gewebsucht? Hast Du in sysctl.conf bzw. unter sysctl.d irgendwas geändert? Wie ist die Ausgabe von "sudo systemctl status systemd-sysctl.service"?



    [hr]

    RPi3 für Pi-Hole & IRC Client (auch als IP-Net Box)

    RPi2 zum coden ^^

    Edited once, last by dr-snow ().


  • eigentlich mach ich das so:


    sudo rpi-update


    BTW: "rpi-update" sollte man nicht machen bzw. braucht man nicht. Evtl. nur auf einem Test-PI.

    The most popular websites without IPv6 in Germany.  IPv6-Ausreden

  • ja und nun?
    hab mich auch oben in der kernel version verschrieben 4.4.17


    selbst wenn ich das system neu aufsetze und dann
    sudo apt-get update/upgrade
    ausführe, kommt immer wieder das problem.


    kann ich auf eine alte version zurück flashen? also von der firmware...

    RPi3 für Pi-Hole & IRC Client (auch als IP-Net Box)

    RPi2 zum coden ^^

    Edited once, last by dr-snow ().

  • Der aktuellste stabile Kernel ist 4.4.13-v7+. Geflasht wird beim Pi nix, die Firmware lebt m.W. komplett auf der SD-Karte. Zur Sicherheit: Du installierst ein aktuelles Image und führst dann lediglich "sudo apt-get update" und "sudo apt-get upgrade" aus und dann bekommst Du die Probleme? Ohne "rpi-update"? Kannst Du in diesem Fall noch mal die Ausgabe des systemctl-Befehls direkt nach dem boot posten?


  • Der aktuellste stabile Kernel ist 4.4.13-v7+. Geflasht wird beim Pi nix, die Firmware lebt m.W. komplett auf der SD-Karte. Zur Sicherheit: Du installierst ein aktuelles Image und führst dann lediglich "sudo apt-get update" und "sudo apt-get upgrade" aus und dann bekommst Du die Probleme? Ohne "rpi-update"? Kannst Du in diesem Fall noch mal die Ausgabe des systemctl-Befehls direkt nach dem boot posten?


    ja genau, ich mach nur die beiden befehle und beim reboot kommt der fehler. ich habe rpi-update nur gemacht um zu sehen, ob dann das problem auch noch vorhanden ist.
    ich setze jetzt noch mal das image auf --> 2016-05-27-raspbian-jessie <-- dann starte ich den pi und mach noch einmal die beiden befehle. dann schicke ich dir das, was du haben willst. :thumbs1:
    Automatisch zusammengefügt:[hr]
    ich hab ihn neu aufgesetzt und hier mal ein paar infos vor und von dem upgrade:



    und hier --> sudo systemctl status systemd-sysctl.service



    und hier die aktuelle Version


    Code
    pi@raspberrypi:~ $ uname -a
    Linux raspberrypi 4.4.13-v7+ #894 SMP Mon Jun 13 13:13:27 BST 2016 armv7l GNU/Linux

    RPi3 für Pi-Hole & IRC Client (auch als IP-Net Box)

    RPi2 zum coden ^^

    Edited once, last by dr-snow ().

  • Die selbe Fehlermeldung kommt bei einem frischen Raspbian Jessie Lite nach update+dist-upgrade bei mir auch (Kernel 4.4.13). Ich sehe allerdings kein Problem.


  • und hier die aktuelle Version


    Code
    pi@raspberrypi:~ $ uname -a
    Linux raspberrypi 4.4.13-v7+ #894 SMP Mon Jun 13 13:13:27 BST 2016 armv7l GNU/Linux


    Wie sind z. Zt. auf deinem PI, die Ausgaben von:

    Code
    sysctl vm.swappiness vm.vfs_cache_pressure kernel.kptr_restrict kernel.shmmax kernel.sem
    ls -la /etc/sysctl.d
    ls -la /run/sysctl.d
    ls -la /usr/lib/sysctl.d


    ?

    The most popular websites without IPv6 in Germany.  IPv6-Ausreden

    Edited once, last by rpi444 ().